#include "CaisseArme.h"

CaisseArme::CaisseArme( SDL_Surface* img, Arme* lachee, Vec pos )
:Affichable( img ), m_contenu( lachee )
{
    m_pos = pos;
}

CaisseArme::~CaisseArme()
{
    if (m_contenu != 0x0) delete m_contenu;
}

bool CaisseArme::proxi(Vec pos) const
{
    pos -= m_pos;
    return pos.norme() < 40.0f;
}

bool CaisseArme::empty() const
{
    if ( m_contenu == 0x0 ) return true;
    else return false;
}

Arme* CaisseArme::takeWeapon()
{
    Arme* contenu( m_contenu );
    m_contenu = 0x0;
    return contenu;
}
