#ifndef CAISSEARME_H
#define CAISSEARME_H

#include "../Structures/Affichable.h"
#include "Arme.h"


class CaisseArme : public Affichable
{
    public:

        CaisseArme( SDL_Surface* img, Arme* lachee, Vec pos );
        virtual ~CaisseArme();// Détruit l'arme si elle est encore là

        bool proxi(Vec pos) const;// Indique si l'arme est à portée

        bool empty() const;// Arme encore là ?

        Arme* takeWeapon();// Met le ptr à 0

    protected:

        Arme* m_contenu;
};

#endif // CAISSEARME_H
