#ifndef IACTRL_H
#define IACTRL_H

#include <iostream>
#include <vector>
#include "Controler.h"
#include "../Persos/Persos_Gest.h"

#define NO_FOCUS 65535


class IACtrl : public Controler
{
/// Fonctions
    public:
        IACtrl(Persos_Gest* persosGest, bool allie = false);
        virtual ~IACtrl();

        virtual void update() = 0;

        void setPersoMoi(Perso* moi);

    protected:
        Uint16 focusProche(bool allie); // Retourne l'ID du perso focalisé

/// Attributs
    protected:
        Perso* m_moi;
        Persos_Gest* m_persosGest;
        bool m_allie;
};

#endif // IACTRL_H
