#ifndef AFFICHABLE_H
#define AFFICHABLE_H

#include <iostream>
#include <SDL.h>
#include "../Structures/Vecteur.h"

class Affichable
{
    public:
        Affichable(SDL_Surface* img);
        virtual ~Affichable();

        void virtual afficher(const Vec &lookAt, SDL_Surface* screen);

    protected:
        SDL_Surface* m_img;
        SDL_Rect m_rect;
        Vec m_pos;
};

#endif // AFFICHABLE_H
