#ifndef TIR_H
#define TIR_H

#include <iostream>
#include "../Structures/Affichable.h"
#include "../Structures/Vecteur.h"


class Tir : public Affichable
{
    public:
        Tir(SDL_Surface* img, Vec pos, Vec visee, int degats, bool allie);
        virtual ~Tir();

        void virtual afficher(const Vec &lookAt, SDL_Surface* screen); // Empêche l'affichage si déjà encaissé

        void move();
        int encaisser(const Vec &pos, bool allie);
        bool exist() const;

    protected:
        int m_degats;
        bool m_exist;
        float m_vitesse;
        bool m_allie;

        Vec m_dir;
};

#endif // TIR_H
