#include "Triphaseur.h"

Triphaseur::Triphaseur( Tirs_Gest* tirsGest )
:Arme( 34, TRIPHASEUR, tirsGest, 729 )
{
    //ctor
}

Triphaseur::~Triphaseur()
{
    //dtor
}

void Triphaseur::tirer(Vec pos, Vec visee, bool allie)
{
    Vec ortho( visee.getY(), -visee.getX() );
    ortho.normaliser();
    ortho *= 20.0f;

    m_tirsGest->addTir( pos-ortho, visee, m_degats, allie);
    m_tirsGest->addTir( pos, visee, m_degats, allie);
    m_tirsGest->addTir( pos+ortho, visee, m_degats, allie);
}
