#ifndef CONTROLER_H
#define CONTROLER_H

// Inclusions
#include <iostream>
#include "../Structures/Vecteur.h"

// Noms des mains
#define L_HAND 0
#define R_HAND 1


class Controler
{
    public:
        Controler();
        virtual ~Controler();

        virtual void update() = 0;

        Vec getMvt() const;
        Vec getVisee() const;
        bool getCraft();
        bool getTir( unsigned short main ) const;
        bool getSearch( unsigned short main );

    protected:
        Vec m_mvt; // Norme € [0 ; 1]
        Vec m_visee;
        bool m_craft;
        bool m_tir[2]; // Deux armes
        bool m_search[2];

    private:
        bool m_prevCraft;
        bool m_prevSearch[2]; // Pour éviter de chercher en continu
};

#endif // CONTROLER_H
