#ifndef DISPLAYHP_H
#define DISPLAYHP_H

#include "../Structures/Affichable.h"

#define BARRE_EPAIS 5

class DisplayHP : public Affichable
{
/// Méthodes
    public:
        DisplayHP( int vieMax, Uint32 front = 0x00940C, Uint32 back = 0x2E0000, Vec up = Vec(0.0f, 48.0f) );
        virtual ~DisplayHP();

        void updateImg( const int &vie );
        void IAmHere( const Vec &pos );

        void setMax( int max );

    protected:
        void cadrer();

/// Attributs
    protected:
        int m_vieMax;
        Uint32 m_front;
        Uint32 m_back;
        Vec m_up;
        SDL_Rect m_vie;
};

#endif // DISPLAYHP_H
