#ifndef PERSOS_GEST_H
#define PERSOS_GEST_H

#include <iostream>
#include <vector>
#include <cstdlib>
#include "Perso.h"
#include "../Structures/SpriteLoader.h"
/*#include "../Control/IACtrl.h" */ class IACtrl;


class Persos_Gest
{
    public:
        Persos_Gest();
        virtual ~Persos_Gest();

        void allDisplay(const Vec &lookAt, SDL_Surface* screen) const;
        void allMove() const;

        void addAllie( Perso* newPerso );
        void addFoe( Perso* newFoe );

        Uint16 getNb( bool allie ) const;
        Vec getPos( const Uint16 &ID, bool allie ) const;
        bool getVivant( const Uint16 &ID, bool allie ) const;

        void nextWave( SpriteLoader &skinGiver, Tirs_Gest* tirsGest, Armes_Gest* armGest);
        IACtrl* createRandIA();

    protected:
        std::vector<Perso*> m_allies;
        std::vector<Perso*> m_foes;

        unsigned int m_nextWave;
        bool m_loading;
        Uint32 m_lastWon;
};


#endif // PERSOS_GEST_H
