#ifndef TERRAIN_H
#define TERRAIN_H

#include <iostream>
#include "../Structures/Affichable.h"
#include "Chunk.h"

#define NB_Y_CHUNK 3000/LG_CHUNK
#define NB_X_CHUNK 6000/LG_CHUNK


class Terrain : public Affichable
{
    public:
        Terrain(SDL_Surface* img);
        virtual ~Terrain();

        void virtual afficher(const Vec &lookAt, SDL_Surface* screen) const;

    protected:
        Chunk* m_chunk[NB_Y_CHUNK][NB_X_CHUNK];//[y][x]

        //Un jour il y aura des choses permettant la gestion des collisions
};

#endif // TERRAIN_H
