#ifndef TIRS_GEST_H
#define TIRS_GEST_H

#include "Tir.h"
#include <deque>

class Tirs_Gest
{
    public:
        Tirs_Gest(SDL_Surface* blueTir, SDL_Surface* redTir);
        virtual ~Tirs_Gest();

        void allDisplay(const Vec &lookAt, SDL_Surface* screen); // Nettoie également les tirs périmés
        void allMove() const;

        void addTir(Vec pos, Vec visee, int degats, bool allie);
        int encaisser(Vec pos, bool allie) const;

    protected:
        std::deque<Tir*> m_tirs;
        SDL_Surface* m_blueImg;
        SDL_Surface* m_redImg;
};

#endif // TIRS_GEST_H
